%define  modulename authlib
%def_without test

Name:    python3-module-%modulename
Version: 1.5.1
Release: alt1

Summary: The ultimate Python library in building OAuth and OpenID Connect servers

License: BSD 3-Clause License
Group:   Development/Python3
URL:     https://authlib.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

# Source-url: https://github.com/lepture/authlib/archive/v%version.tar.gz
Source:  %modulename-%version.tar

BuildRequires(pre): rpm-build-intro >= 2.2.4
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools python3-module-wheel

BuildArch: noarch

%add_python3_req_skip authlib.integrations._client
%add_python3_req_skip authlib.integrations._client.oauth_registry
%add_python3_req_skip authlib.oauth2.rfc7636.grant
# move to subpackage?
%add_python3_req_skip requests requests.auth
%add_python3_req_skip sqlalchemy
%add_python3_req_skip httpx
%add_python3_req_skip starlette.datastructures starlette.responses


%if_with test
# generated by epm --restore --dry-run from authlib/requirements-test.txt
%py3_buildrequires cryptography
%py3_buildrequires requests
%py3_buildrequires mock
%py3_buildrequires pytest
%py3_buildrequires coverage
%endif

%description
The ultimate Python library in building OAuth and OpenID Connect servers.
JWS, JWK, JWA, JWT are included.

%package flask
Summary: authlib integration with flask
Group: Development/Python3
Requires: %name = %EVR

%description flask
authlib integration with flask.

%package django
Summary: authlib integration with django
Group: Development/Python3
Requires: %name = %EVR

%description django
authlib integration with django.


%prep
%setup -n %modulename-%version

%build
%pyproject_build

%install
%pyproject_install
%python3_prune

%if_with test
%check
%python3_test
%endif

%files
%python3_sitelibdir/%modulename/
%python3_sitelibdir/*.dist-info/
%exclude %python3_sitelibdir/%modulename/integrations/django_*
%exclude %python3_sitelibdir/%modulename/integrations/flask_*

%files django
%python3_sitelibdir/%modulename/integrations/django_*/

%files flask
%python3_sitelibdir/%modulename/integrations/flask_*/

%changelog
* Tue Mar 18 2025 Vitaly Lipatov <lav@altlinux.ru> 1.5.1-alt1
- new version 1.5.1 (with rpmrb script)

* Sun Mar 02 2025 Vitaly Lipatov <lav@altlinux.ru> 1.5.0-alt1
- new version 1.5.0
- switch to pyproject build
- move django and flask to subpackages
- ignore requires for other integrations

* Sun Feb 18 2024 Vitaly Lipatov <lav@altlinux.ru> 1.3.0-alt1
- new version 1.3.0 (with rpmrb script)

* Sat Jul 29 2023 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt1
- new version 1.2.1 (with rpmrb script)

* Sun Jan 22 2023 Vitaly Lipatov <lav@altlinux.ru> 1.2.0-alt1
- new version 1.2.0 (with rpmrb script)

* Sun Jul 17 2022 Vitaly Lipatov <lav@altlinux.ru> 1.0.1-alt1
- new version 1.0.1 (with rpmrb script)

* Mon Apr 04 2022 Vitaly Lipatov <lav@altlinux.ru> 0.15.5-alt1
- new version 0.15.5 (with rpmrb script)

* Sat Aug 14 2021 Vitaly Lipatov <lav@altlinux.ru> 0.15.4-alt1
- new version 0.15.4 (with rpmrb script)

* Tue Apr 06 2021 Vitaly Lipatov <lav@altlinux.ru> 0.15.3-alt1
- new version 0.15.3 (with rpmrb script)

* Thu Jan 21 2021 Vitaly Lipatov <lav@altlinux.ru> 0.15.2-alt1
- new version 0.15.2 (with rpmrb script)

* Wed Nov 04 2020 Vitaly Lipatov <lav@altlinux.ru> 0.15-alt1
- new version 0.15 (with rpmrb script)
- drop tests from packing, allow enable tests

* Thu May 28 2020 Vitaly Lipatov <lav@altlinux.ru> 0.14.3-alt1
- Initial build for Sisyphus
